class SeqLabel(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  use_crf : bool
  gpu : bool
  average_batch : bool
  word_hidden : __torch__.orkg_cs_ner.ncrfpp.model.wordsequence.___torch_mangle_6.WordSequence
  crf : __torch__.orkg_cs_ner.ncrfpp.model.crf.CRF
  def forward(self: __torch__.orkg_cs_ner.ncrfpp.model.seqlabel.___torch_mangle_7.SeqLabel,
    word_inputs: Tensor,
    feature_inputs: Tensor,
    word_seq_lengths: Tensor,
    char_inputs: Tensor,
    char_seq_recover: Tensor,
    mask: Tensor,
    nbest: int) -> Tuple[Tensor, Tensor]:
    word_hidden = self.word_hidden
    outs = (word_hidden).forward(word_inputs, feature_inputs, word_seq_lengths, char_inputs, char_seq_recover, )
    crf = self.crf
    scores, tag_seq, = (crf).forward(outs, mask, nbest, )
    return (scores, tag_seq)
