class WordSequence(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  gpu : bool
  use_char : bool
  bilstm_flag : bool
  lstm_layer : int
  input_size : int
  feature_num : int
  word_feature_extractor : str
  droplstm : __torch__.torch.nn.modules.dropout.Dropout
  wordrep : __torch__.orkg_cs_ner.ncrfpp.model.wordrep.___torch_mangle_4.WordRep
  lstm : __torch__.torch.nn.modules.rnn.LSTM
  hidden2tag : __torch__.torch.nn.modules.linear.___torch_mangle_5.Linear
  def forward(self: __torch__.orkg_cs_ner.ncrfpp.model.wordsequence.___torch_mangle_6.WordSequence,
    word_inputs: Tensor,
    feature_inputs: Tensor,
    word_seq_lengths: Tensor,
    char_inputs: Tensor,
    char_seq_recover: Tensor) -> Tensor:
    _0 = __torch__.torch.nn.utils.rnn.pack_padded_sequence
    _1 = __torch__.torch.nn.utils.rnn.pad_packed_sequence
    wordrep = self.wordrep
    word_represent = (wordrep).forward(word_inputs, feature_inputs, char_inputs, char_seq_recover, )
    packed_words = _0(word_represent, torch.cpu(word_seq_lengths), True, True, )
    lstm = self.lstm
    _2 = (lstm).forward__1(packed_words, None, )
    lstm_out, hidden, = _2
    lstm_out0, _3, = _1(lstm_out, False, 0., None, )
    droplstm = self.droplstm
    feature_out = (droplstm).forward(torch.transpose(lstm_out0, 1, 0), )
    hidden2tag = self.hidden2tag
    return (hidden2tag).forward(feature_out, )
